[proaudio] [1531]

[ Thread Index | Date Index | More lists.tuxfamily.org/proaudio Archives ]


Revision: 1531
Author:   emery
Date:     2009-12-17 18:30:32 +0100 (Thu, 17 Dec 2009)
Log Message:
-----------


Modified Paths:
--------------
    trunk/overlays/proaudio/media-radio/rivendell/ChangeLog

Added Paths:
-----------
    trunk/overlays/proaudio/media-radio/rivendell/rivendell-1.5.2.ebuild

Modified: trunk/overlays/proaudio/media-radio/rivendell/ChangeLog
===================================================================
--- trunk/overlays/proaudio/media-radio/rivendell/ChangeLog	2009-12-17 11:45:45 UTC (rev 1530)
+++ trunk/overlays/proaudio/media-radio/rivendell/ChangeLog	2009-12-17 17:30:32 UTC (rev 1531)
@@ -1,7 +1,10 @@
 # ChangeLog for media-radio/rivendell
-# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+  17 Dec 2009; Emery Hemingway <emery@xxxxxxxxxxxxxxxxxx>;
+  bump to rivendell-1.5.2
+
   22 Aug 2009: Dominique Michel <dominique@xxxxxxxxxxxxxx;
   bump to rivendell-1.5.1-r1.ebuild,
 

Added: trunk/overlays/proaudio/media-radio/rivendell/rivendell-1.5.2.ebuild
===================================================================
--- trunk/overlays/proaudio/media-radio/rivendell/rivendell-1.5.2.ebuild	                        (rev 0)
+++ trunk/overlays/proaudio/media-radio/rivendell/rivendell-1.5.2.ebuild	2009-12-17 17:30:32 UTC (rev 1531)
@@ -0,0 +1,84 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+inherit base eutils
+
+DESCRIPTION="An automated system for acquisition, management, scheduling and playout of audio content."
+HOMEPAGE="http://rivendellaudio.org/";
+SRC_URI="http://rivendellaudio.org/ftpdocs/${PN}/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="alsa jack pam"
+
+RESTRICT="nomirror"
+
+DEPEND="alsa? ( media-libs/alsa-lib )
+	alsa? ( media-libs/libsamplerate )
+	jack? ( media-sound/jack-audio-connection-kit )
+	jack? ( media-libs/libsamplerate )
+	media-libs/flac
+	media-libs/id3lib
+	media-libs/libogg
+	media-libs/libvorbis
+	virtual/mysql
+	x11-libs/qt:3[mysql]"
+RDEPEND="${DEPEND}
+	pam? ( sys-libs/pam )
+	app-cdr/cdrkit
+	media-sound/cdparanoia
+	media-sound/lame
+	media-sound/mpg321
+	media-sound/vorbis-tools
+	net-ftp/lftp
+	net-misc/wget"
+
+pkg_setup() {
+	enewgroup ${PN}
+	enewuser ${PN} -1 -1 /var/lib/${PN} "${PN},audio"
+}
+
+src_prepare() {
+	unpack ${A}
+	cd "${S}"
+	epatch "${FILESDIR}/${PN}-init.patch"
+	epatch "${FILESDIR}/${PN}-sandbox.patch"
+}
+
+src_compile() {
+	local myconf=""
+
+	use alsa || myconf="${myconf} --disable-alsa"
+	use jack || myconf="${myconf} --disable-jack"
+	use pam || myconf="${myconf} --disable-pam"
+
+	econf ${myconf}
+	emake || die "make failed"
+}
+
+src_install() {
+	emake DESTDIR="${D}" install || die "install failed"
+
+	insinto /etc
+	doins conf/rd.conf-sample || die "install /etc/rd.conf failed"
+
+	keepdir /var/snd || die "keepdir failed"
+	fowners ${PN}:${PN} /var/snd || die "fowners failed"
+
+	dodoc AUTHORS ChangeLog INSTALL NEWS README SupportedCards docs/*.txt || die "install doc failed"
+	prepalldocs || die "prepalldocs failed"
+}
+
+pkg_postinst() {
+	elog "If you would like ASI or GPIO hardware support,"
+	elog "install their drivers and re-emerge this package."
+	einfo
+	einfo "See http://rivendell.tryphon.org/wiki/index.php/Install_under_Gentoo";
+	einfo "for Gentoo specific instructions."
+	einfo
+	ewarn "If this is an upgrade, run rdadmin to ensure your"
+	ewarn "database schema is up to date"
+}


Mail converted by MHonArc 2.6.19+ http://listengine.tuxfamily.org/